Skip to main content

Container API

This API allows you to query the state of watched containers.

Get all containers

This endpoint returns all watched containers.

curl http://wud:3000/api/containers

[
{
"id":"31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816",
"name":"homeassistant",
"watcher":"local",
"includeTags":"^\\d+\\.\\d+.\\d+$",
"image":{
"id":"sha256:d4a6fafb7d4da37495e5c9be3242590be24a87d7edcc4f79761098889c54fca6",
"registry":{
"url":"123456789.dkr.ecr.eu-west-1.amazonaws.com"
},
"name":"test",
"tag":{
"value":"2021.6.4",
"semver":true
},
"digest":{
"watch":false,
"repo":"sha256:ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72"
},
"architecture":"amd64",
"os":"linux",
"created":"2021-06-12T05:33:38.440Z"
},
"result":{
"tag":"2021.6.5"
},
"updateAvailable": true
}
]

Check all containers

This endpoint triggers an immediate update check across all containers.

curl -X POST http://wud:3000/api/containers/watch

[{
"id":"31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816",
"name":"homeassistant",
"watcher":"local",
"includeTags":"^\\d+\\.\\d+.\\d+$",
"image":{
"id":"sha256:d4a6fafb7d4da37495e5c9be3242590be24a87d7edcc4f79761098889c54fca6",
"registry":{
"url":"123456789.dkr.ecr.eu-west-1.amazonaws.com"
},
"name":"test",
"tag":{
"value":"2021.6.4",
"semver":true
},
"digest":{
"watch":false,
"repo":"sha256:ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72"
},
"architecture":"amd64",
"os":"linux",
"created":"2021-06-12T05:33:38.440Z"
},
"result":{
"tag":"2021.6.5"
},
"updateAvailable": true
}]

Get a container by ID

This endpoint retrieves a specific container by its ID.

curl http://wud:3000/api/containers/31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816

{
"id":"31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816",
"name":"homeassistant",
"watcher":"local",
"includeTags":"^\\d+\\.\\d+.\\d+$",
"image":{
"id":"sha256:d4a6fafb7d4da37495e5c9be3242590be24a87d7edcc4f79761098889c54fca6",
"registry":{
"url":"123456789.dkr.ecr.eu-west-1.amazonaws.com"
},
"name":"test",
"tag":{
"value":"2021.6.4",
"semver":true
},
"digest":{
"watch":false,
"repo":"sha256:ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72"
},
"architecture":"amd64",
"os":"linux",
"created":"2021-06-12T05:33:38.440Z"
},
"result":{
"tag":"2021.6.5"
},
"updateAvailable": true
}

Get all triggers associated with the container

This endpoint returns the list of triggers associated with the container.

curl http://wud:3000/api/containers/31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816/triggers

[
{
"id": "ntfy.one",
"type": "ntfy",
"name": "one",
"configuration": {
"topic": "235ef38e-f1db-414a-964f-ce3f2cc8094d",
"url": "https://ntfy.sh",
"threshold": "major",
"mode": "simple",
"once": true,
"simpletitle": "New ${kind} found for container ${name}",
"simplebody": "Container ${container.name} running with ${container.updateKind.kind} ${container.updateKind.localValue} can be updated to ${container.updateKind.kind} ${container.updateKind.remoteValue}${container.result && container.result.link ? \"\\n\" + container.result.link : \"\"}",
"batchtitle": "${containers.length} updates available"
}
}
]

Check a specific container

This endpoint triggers an immediate update check for a specific container.

curl -X POST http://wud:3000/api/containers/ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72/watch

{
"id":"31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816",
"name":"homeassistant",
"watcher":"local",
"includeTags":"^\\d+\\.\\d+.\\d+$",
"image":{
"id":"sha256:d4a6fafb7d4da37495e5c9be3242590be24a87d7edcc4f79761098889c54fca6",
"registry":{
"url":"123456789.dkr.ecr.eu-west-1.amazonaws.com"
},
"name":"test",
"tag":{
"value":"2021.6.4",
"semver":true
},
"digest":{
"watch":false,
"repo":"sha256:ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72"
},
"architecture":"amd64",
"os":"linux",
"created":"2021-06-12T05:33:38.440Z"
},
"result":{
"tag":"2021.6.5"
},
"updateAvailable": true
}

Run a trigger on the container

This endpoint manually executes a specific trigger for a container.

curl -X POST http://wud:3000/api/containers/31a61a8305ef1fc9a71fa4f20a68d7ec88b28e32303bbc4a5f192e851165b816/triggers/ntfy/one

Delete a container

This endpoint deletes a container from the store by its ID.

curl -X DELETE http://wud:3000/api/containers/ca0edc3fb0b4647963629bdfccbb3ccfa352184b45a9b4145832000c2878dd72